<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>TIML: timlUtilBLAS.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIML
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_4f218e5c1c68a8760266841df915118e.html">src</a></li><li class="navelem"><a class="el" href="dir_e5def28db4ba0142cedf1af2d851f321.html">common</a></li><li class="navelem"><a class="el" href="dir_3548040f51d72c8ca49dee5213e206f2.html">util</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">timlUtilBLAS.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="timl_8h_source.html">../api/timl.h</a>&quot;</code><br/>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga365f20b5c810059087f2d24964ec7fdd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga365f20b5c810059087f2d24964ec7fdd"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__util.html#ga365f20b5c810059087f2d24964ec7fdd">timlUtilBLASdgemm</a> (const enum CBLAS_TRANSPOSE TransA, const enum CBLAS_TRANSPOSE TransB, const int M, const int N, const int K, const double alpha, const double *A, const double *B, const double beta, double *C, int deviceId, int threadId)</td></tr>
<tr class="memdesc:ga365f20b5c810059087f2d24964ec7fdd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Double general matrix matrix multiplication C = alpha * op(A) * op(B) + beta * C op(A) : M*K op(B) : K*N. <br/></td></tr>
<tr class="separator:ga365f20b5c810059087f2d24964ec7fdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3cd3b5eb20373a30eb06e1db3f27e105"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga3cd3b5eb20373a30eb06e1db3f27e105"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__util.html#ga3cd3b5eb20373a30eb06e1db3f27e105">timlUtilBLASsgemm</a> (const enum CBLAS_TRANSPOSE TransA, const enum CBLAS_TRANSPOSE TransB, const int M, const int N, const int K, const float alpha, const float *A, const float *B, const float beta, float *C, int deviceId, int threadId)</td></tr>
<tr class="memdesc:ga3cd3b5eb20373a30eb06e1db3f27e105"><td class="mdescLeft">&#160;</td><td class="mdescRight">Float general matrix matrix multiplication C = alpha * op(A) * op(B) + beta * C op(A) : M*K op(B) : K*N. <br/></td></tr>
<tr class="separator:ga3cd3b5eb20373a30eb06e1db3f27e105"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7f200e1630837f410457f12228a3f8e3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga7f200e1630837f410457f12228a3f8e3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__util.html#ga7f200e1630837f410457f12228a3f8e3">timlUtilBLASdgemv</a> (const enum CBLAS_TRANSPOSE TransA, const int M, const int N, const double alpha, const double *A, const double *x, const double beta, double *y, int deviceId, int threadId)</td></tr>
<tr class="memdesc:ga7f200e1630837f410457f12228a3f8e3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Double general matrix vector multiplication y = alpha * op(A) * x + beta * y op(A): M*N. <br/></td></tr>
<tr class="separator:ga7f200e1630837f410457f12228a3f8e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga916c002835a135384e25aa4eabe8fece"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga916c002835a135384e25aa4eabe8fece"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__util.html#ga916c002835a135384e25aa4eabe8fece">timlUtilBLASsgemv</a> (const enum CBLAS_TRANSPOSE TransA, const int M, const int N, const float alpha, const float *A, const float *x, const float beta, float *y, int deviceId, int threadId)</td></tr>
<tr class="memdesc:ga916c002835a135384e25aa4eabe8fece"><td class="mdescLeft">&#160;</td><td class="mdescRight">Float general matrix vector multiplication y = alpha * op(A) * x + beta * y op(A): M*N. <br/></td></tr>
<tr class="separator:ga916c002835a135384e25aa4eabe8fece"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gace6d95139cce2b66d468b65916d92103"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gace6d95139cce2b66d468b65916d92103"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__util.html#gace6d95139cce2b66d468b65916d92103">timlUtilBLASsaxpy</a> (const int N, const float alpha, const float *X, float *Y, int deviceId, int threadId)</td></tr>
<tr class="memdesc:gace6d95139cce2b66d468b65916d92103"><td class="mdescLeft">&#160;</td><td class="mdescRight">Float vector addition Y = alpha * X + Y. <br/></td></tr>
<tr class="separator:gace6d95139cce2b66d468b65916d92103"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga67a8b8821e100476544c39ebe3f7d88a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga67a8b8821e100476544c39ebe3f7d88a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__util.html#ga67a8b8821e100476544c39ebe3f7d88a">timlUtilBLASdaxpy</a> (const int N, const double alpha, const double *X, double *Y, int deviceId, int threadId)</td></tr>
<tr class="memdesc:ga67a8b8821e100476544c39ebe3f7d88a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Double vector addition Y = alpha * X + Y. <br/></td></tr>
<tr class="separator:ga67a8b8821e100476544c39ebe3f7d88a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae2c99812143fb0697fad81b04c62545d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gae2c99812143fb0697fad81b04c62545d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__util.html#gae2c99812143fb0697fad81b04c62545d">timlUtilBLASscopy</a> (const int N, const float *X, float *Y, int deviceId, int threadId)</td></tr>
<tr class="memdesc:gae2c99812143fb0697fad81b04c62545d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Float vector copy Y = X. <br/></td></tr>
<tr class="separator:gae2c99812143fb0697fad81b04c62545d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga242d2f4bb422b71fa05aec4b8568bdc4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga242d2f4bb422b71fa05aec4b8568bdc4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__util.html#ga242d2f4bb422b71fa05aec4b8568bdc4">timlUtilBLASdcopy</a> (const int N, const double *X, double *Y, int deviceId, int threadId)</td></tr>
<tr class="memdesc:ga242d2f4bb422b71fa05aec4b8568bdc4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Double vector copy Y = X. <br/></td></tr>
<tr class="separator:ga242d2f4bb422b71fa05aec4b8568bdc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga22f1d9ebb3a5745c3583860b42c8590a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga22f1d9ebb3a5745c3583860b42c8590a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__util.html#ga22f1d9ebb3a5745c3583860b42c8590a">timlUtilBLASdger</a> (const int M, const int N, const double alpha, double *x, double *y, double *A, int deviceId, int threadId)</td></tr>
<tr class="memdesc:ga22f1d9ebb3a5745c3583860b42c8590a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Double vector outer product A = alpha*x*y' + A; x: M y: N. <br/></td></tr>
<tr class="separator:ga22f1d9ebb3a5745c3583860b42c8590a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacdd02957d16d4ba4951f35c0e7fc5b30"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gacdd02957d16d4ba4951f35c0e7fc5b30"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__util.html#gacdd02957d16d4ba4951f35c0e7fc5b30">timlUtilBLASsger</a> (const int M, const int N, const float alpha, float *x, float *y, float *A, int deviceId, int threadId)</td></tr>
<tr class="memdesc:gacdd02957d16d4ba4951f35c0e7fc5b30"><td class="mdescLeft">&#160;</td><td class="mdescRight">Float vector outer product A = alpha*x*y' + A; x: M y: N. <br/></td></tr>
<tr class="separator:gacdd02957d16d4ba4951f35c0e7fc5b30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga336682df712eb1342b16a00731b55e2c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga336682df712eb1342b16a00731b55e2c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__util.html#ga336682df712eb1342b16a00731b55e2c">timlUtilBLASdscal</a> (const int N, const double alpha, double *X, int deviceId, int threadId)</td></tr>
<tr class="memdesc:ga336682df712eb1342b16a00731b55e2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Double vector scaling x = alpha * x. <br/></td></tr>
<tr class="separator:ga336682df712eb1342b16a00731b55e2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7f2ccf0e4a749d484cd40b64d14a0bdb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga7f2ccf0e4a749d484cd40b64d14a0bdb"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__util.html#ga7f2ccf0e4a749d484cd40b64d14a0bdb">timlUtilBLASsscal</a> (const int N, const float alpha, float *X, int deviceId, int threadId)</td></tr>
<tr class="memdesc:ga7f2ccf0e4a749d484cd40b64d14a0bdb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Float vector scaling x = alpha * x. <br/></td></tr>
<tr class="separator:ga7f2ccf0e4a749d484cd40b64d14a0bdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Mar 20 2015 11:26:08 for TIML by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
